@csrf
<div class="box-body">
    <div class="form-group">
        <label for="cari_dpt">Cari DPT</label>
        <input type="text" value="{{ old('cari_dpt') }}" class="form-control" id="cari_dpt" name="cari_dpt"
            placeholder="Cari DPT">
    </div>
    <div class="form-group">
        <button type="button" class="btn btn-primary" id="btn_cari_dpt">Cari</button>
    </div>

    <div class="form-group">
        <label for="nama_lengkap">Nama Lengkap <span class="text-danger">*</span></label>
        {{-- <input type="text" value="{{ old('nama_lengkap', optional($data)->nama_lengkap) }}" class="form-control"
            id="nama_lengkap" name="nama_lengkap" placeholder="Nama Lengkap"> --}}
        <select name="dpt_id" class="form-control" id="dpt_id">
            <option disabled selected>Tampilkan List DPT dengan mengisi Cari DPT </option>
            @foreach ($dpt as $a)
                <option value="{{ $a->id }}"
                    {{ old('dpt_id', optional($data)->dpt_id) == $a->id ? 'selected' : '' }}>{{ $a->nama_lengkap }} /
                    {{ $a->tp->kelurahans->nama_kelurahan }}
                    {{ $a->alamat }}</option>
            @endforeach
        </select>
        <input type="hidden" name="nama_lengkap" id="nama_lengkap"
            value="{{ old('nama_lengkap', @$data->nama_lengkap) }}">
        @error('nama_lengkap')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="tanggal_lahir">Tempat Tanggal Lahir <span class="text-danger">*</span></label>
        <div class="row">
            <div class="col-md-6">
                <input type="date" value="{{ old('tanggal_lahir', optional($data)->tanggal_lahir) }}"
                    class=" form-control" id="tanggal_lahir" name="tanggal_lahir" placeholder="Tanggal lahir">
            </div>
            <div class="col-md-6">
                <input type="text" value="{{ old('tempat_lahir', optional($data)->tempat_lahir) }}"
                    class=" form-control" id="tempat_lahir" name="tempat_lahir" placeholder="Tempat lahir">
            </div>


            @error('tanggal_lahir')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror
        </div>

    </div>

    <div class="form-group">
        <label for="alamat">Alamat <span class="text-danger">*</span></label>
        <textarea name="alamat" placeholder="Alamat" id="alamat" class="form-control" style="height: 100px;">{{ old('alamat', optional($data)->alamat) }}</textarea>
        @error('alamat')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="rt">Rt <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('rt', optional($data)->rt) }}" class="form-control" id="rt"
            name="rt" placeholder="RT" readonly>
        @error('rt')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="rw">Rw <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('rw', optional($data)->rw) }}" class="form-control" id="rw"
            name="rw" placeholder="RW" readonly>
        @error('rw')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>


    <div class="form-group">
        <label for="kelurahan_id">Kelurahan <span class="text-danger">*</span></label>
        <input type="hidden" name="kelurahan_id" id="kelurahan_id"
            value="{{ old('kelurahan_id', optional($data)->kelurahan_id) }}">
        <select class="form-control select2" id="kelurahan_ids" name="kelurahan_ids" disabled>
            <option disabled selected>Pilih Kelurahan</option>
            @foreach ($kelurahans as $key => $kelurahan)
                <option value="{{ $key }}"
                    {{ old('kelurahan_id', optional($data)->kelurahan_id) == $key ? 'selected' : '' }}>
                    {{ $kelurahan }}</option>
            @endforeach
        </select>
        @error('kelurahan_id')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>


    <div class="form-group">
        <label for="nik">NIK <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('nik', optional($data)->nik) }}" class="form-control" id="nik"
            name="nik" placeholder="Nik" required>
        @error('nik')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="nik">Foto E-KTP </label>
        <input type="file" value="{{ old('e_ktp', optional($data)->e_ktp) }}" class="form-control"
            id="e_ktp" name="e_ktp" placeholder="Nik">
        @error('e_ktp')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="no_telepon">No Telepon <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('no_telepon', optional($data)->no_telepon) }}" class="form-control"
            id="no_telepon" name="no_telepon" placeholder="No Telepon">
        @error('no_telepon')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="agama">Agama <span class="text-danger">*</span></label>
        <select class="form-control select2" id="agama" name="agama">
            <option disabled selected>Pilih Agama</option>
            <option value="Islam" {{ old('agama', optional($data)->agama) == 'Islam' ? 'selected' : '' }}>Islam
            </option>
            <option value="Kristen Protestan"
                {{ old('agama', optional($data)->agama) == 'Kristen Protestan' ? 'selected' : '' }}>Kristen
                Protestan</option>
            <option value="Katolik" {{ old('agama', optional($data)->agama) == 'Katolik' ? 'selected' : '' }}>
                Katolik</option>
            <option value="Hindu" {{ old('agama', optional($data)->agama) == 'Hindu' ? 'selected' : '' }}>Hindu
            </option>
            <option value="Buddha" {{ old('agama', optional($data)->agama) == 'Buddha' ? 'selected' : '' }}>
                Buddha</option>
            <option value="Kong Hu Cu" {{ old('agama', optional($data)->agama) == 'Kong Hu Cu' ? 'selected' : '' }}>
                Kong Hu Cu</option>
        </select>
        @error('agama')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="jenis_kelamin">Jenis Kelamin <span class="text-danger">*</span></label>
        <select class="form-control select2" id="jenis_kelamin" name="jenis_kelamin">
            <option disabled selected>Pilih Jenis Kelamin</option>
            <option value="Laki-laki"
                {{ old('jenis_kelamin', optional($data)->jenis_kelamin) == 'Laki-laki' ? 'selected' : '' }}>
                Laki-laki</option>
            <option value="Perempuan"
                {{ old('jenis_kelamin', optional($data)->jenis_kelamin) == 'Perempuan' ? 'selected' : '' }}>
                Perempuan</option>

        </select>
        @error('jenis_kelamin')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>


    <div class="form-group">
        <label for="kawin">Perkawinan <span class="text-danger">*</span></label>
        <select class="form-control select2" id="kawin" name="kawin">
            <option disabled selected>Pilih Status Perkawinan</option>
            <option value="Sudah" {{ old('kawin', optional($data)->kawin) == 'Sudah' ? 'selected' : '' }}>Sudah
            </option>
            <option value="Belum" {{ old('kawin', optional($data)->kawin) == 'Belum' ? 'selected' : '' }}>Belum
            </option>
            <option value="Pernah" {{ old('kawin', optional($data)->kawin) == 'Pernah' ? 'selected' : '' }}>Pernah
            </option>

        </select>
        @error('kawin')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>



    <div class="form-group">
        <label for="pekerjaan">Pekerjaan <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('pekerjaan', optional($data)->pekerjaan) }}" class="form-control"
            id="pekerjaan" name="pekerjaan" placeholder="Pekerjaan">
        @error('pekerjaan')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="nama_penghubung">Nama Penghubung <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('nama_penghubung', optional($data)->nama_penghubung) }}"
            class="form-control" id="nama_penghubung" name="nama_penghubung" placeholder="Nama Penghubung"
            required="">
        @error('nama_penghubung')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

    <div class="form-group">
        <label for="no_telp_penghubung">No Telp Penghubung <span class="text-danger">*</span></label>
        <input type="text" value="{{ old('no_telp_penghubung', optional($data)->no_telp_penghubung) }}"
            class="form-control" id="no_telp_penghubung" name="no_telp_penghubung"
            placeholder="Nomor Telepon Penghubung" required="">
        @error('no_telp_penghubung')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
        @enderror
    </div>

</div>
<script>
    @section('jquery')
        $(document).ready(function() {
            $('#dpt_id').select2();

            $('#nik').keypress(function(e) {
                if (String.fromCharCode(e.keyCode).match(/[^0-9]/g)) return false;
            });

            $('#no_telepon').keypress(function(e) {
                if (String.fromCharCode(e.keyCode).match(/[^0-9]/g)) return false;
            });

            $('#no_telp_penghubung').keypress(function(e) {
                if (String.fromCharCode(e.keyCode).match(/[^0-9]/g)) return false;
            });

            $('#btn_cari_dpt').click(function() {
                let total = 0;
                $('#dpt_id').empty();
                $('#dpt_id').append(
                    '<option disabled selected>Mohon Menunggu</option>'
                );
                $.ajax({
                    url: '/data-warga/create?cari=' + $('#cari_dpt').val(),
                    type: 'get',
                    success: function(response) {
                        // console.log($('#card_dpt').val());
                        // console.log(response.data);
                        $('#dpt_id').empty();
                        // //$('#kelurahan_id').empty();
                        $('#dpt_id').append(
                            '<option disabled selected>Cari Nama</option>'
                        );
                        // console.log(response.data.tp.kelurahans.id);
                        response.data.forEach(element => {
                            total += 1;
                            $('#dpt_id').append('<option value="' +
                                element
                                .id + '">' + element.nama_lengkap + ' / ' +
                                element.tp.kelurahans.nama_kelurahan +
                                '</option>');
                        });

                        if (total == 0) {
                            $('#dpt_id').empty();
                            $('#dpt_id').append(
                                '<option disabled selected> DPT tidak tersedia </option>'
                            );
                        }
                    }
                });
            });

            $('#dpt_id').change(function() {
                let total = 0;
                if ($(this).find(":selected").val() != "") {
                    $.ajax({
                        url: '/data-warga/create?dpt=' + $(this).find(":selected").val(),
                        type: 'get',
                        success: function(response) {
                            $('#nama_lengkap').val(response.data.nama_lengkap);
                            if (response.data.nik == '-') {
                                $('#nik').val(0);
                            } else {
                                $('#nik').val(response.data.nik);
                            }
                            // $('#nik').val(response.data.nik);
                            $('#alamat').val(response.data.alamat);
                            $('#rt').val(response.data.rt);
                            $('#rw').val(response.data.rw);
                            $('#kelurahan_id').val(response.data.tp.kelurahans.id);
                            $('#kelurahan_ids').val(response.data.tp.kelurahans.id);
                            $('#tanggal_lahir').val(response.data.tanggal_lahirs);
                            $('#tempat_lahir').val(response.data.tempat_lahirs);
                            // $('#kecamatan_id').empty();
                            // //$('#kelurahan_id').empty();
                            // $('#kecamatan_id').append(
                            //     '<option disabled selected>Pilih Kecamatan</option>'
                            // );
                            // console.log(response.data.tp.kelurahans.id);
                            // response.data.forEach(element => {
                            //     total += 1;
                            //     $('#kecamatan_id').append('<option value="' +
                            //         element
                            //         .id + '">' + element.nama_kecamatan +
                            //         '</option>');
                            // });

                            // if (total == 0) {
                            //     $('#kecamatan_id').empty();
                            //     $('#kecamatan_id').append(
                            //         '<option disabled selected> Kecamatan tidak tersedia </option>'
                            //     );
                            // }
                        }
                    });
                } else {
                    $('#kecamatan_id').empty();
                    $('#kecamatan_id').append(
                        '<option disabled selected>Pilih Kabupaten Dulu</option>');
                }
            });
        });
    @endsection
</script>
<!-- /.box-body -->
